Package Base Details: linux-libre

Git Clone URL: https://aur.archlinux.org/linux-libre.git (read-only, click to copy)
Submitter: onny
Maintainer: dbermond
Last Packager: dbermond
Votes: 36
Popularity: 0.52
First Submitted: 2017-09-30 13:13 (UTC)
Last Updated: 2024-04-18 17:58 (UTC)

Latest Comments

1 2 3 4 Next › Last »

dbermond commented on 2024-03-31 01:46 (UTC)

@Integral fixed.

Integral commented on 2024-03-31 01:06 (UTC)

https://linux-libre.fsfla.org/pub/linux-libre/releases/6.8.2-gnu/linux-libre-6.8-gnu.tar.lz not found

maid commented on 2024-02-09 01:02 (UTC)

I just wanna let you know that I build and install this kernel on Manjaro.

Pablo12345678901 commented on 2024-01-15 08:44 (UTC)

@xiota Thank you very much for those advices.

xiota commented on 2024-01-13 13:24 (UTC)

@Pablo12345678901

  • If you have a patch or replacement PKGBUILD, email it to dbermond or link to a pastebin in a comment.
  • If you cannot find dbermond's email address, you are not ready to maintain any package.
  • Kernels are a pain to maintain, and I wouldn't recommend one as a first package.
  • To become primary maintainer requires the package to be orphaned first.
  • To become comaintainer requires the existing maintainer to add you.

Pablo12345678901 commented on 2024-01-10 15:50 (UTC)

Hello,

I would like to become the maintainer of this package. The version 6.7-gnu has just become available - the current version 6.5.10-1 is not up-to-date and because of this the package was flagged "Flagged out-of-date (2024-01-08)".

But I have no idea how to do so and did not find a solution in the documentation. There is a tutorial on how to create an Arch Linux package from scratch (https://wiki.archlinux.org/title/Package_Maintainers) but I think that it would be easier to continue what was done. If I am wrong and/or to help me, do not hesitate to answer to this comment or write me an e-mail at pablo.zamora@outlook.fr .

@dbermond, I could not find your e-mail contact address neither on your Arch Linux profile nor on your website (https://www.bmftrader.com/contato > link broken : http://www.2pu.net/mail/vrf/sha1-wr_tcXHnq70vjs513gDrxwTc_iM/Arial-Bold/fgc-eeeeee/bgc-444444/frame6/nogfx/).

@dbermond and/or @onny, please contact me by e-mail pablo.zamora@outlook.fr or answer this comment to explain me how should I process to submit the Arch linux linux-libre package version 6.7.

I stay at your disposal and thank you.

Pablo ZAMORA

dkaparis commented on 2023-10-04 18:52 (UTC)

Kmod 31-1 with this kernel breaks the system. See https://lore.kernel.org/linux-modules/acf37f00-cea3-4f77-9c05-3c0301221d2a@moonlit-rail.com/ and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1050582.

ron2138 commented on 2023-05-27 01:19 (UTC) (edited on 2023-05-31 17:59 (UTC) by ron2138)

I hope it worth posting that few days ago, Parabola released PKGBUILD for linux-libre 6.3.3-1. As well as related files. My experience with upstream changes for linux 6.3 is good. As anticipated by Linux objtool Improvements Help Reduce RAM Usage & Build Time During Large Kernel Builds. Still, I do recommend, and will do, make localmodconfig in between --nobuild and --noextract.

I am not sure about using an asp like tool. Freedom Issue #1755: [asp] Links to Arch source repositories instead of ..., Freedom Issue #3224: your-freedom and asp are in conflict - Packages ....

All the current source files from https://www.parabola.nu/packages/libre/x86_64/linux-libre/, plus an index.html file, can be downloaded to the current working directory with wget --no-directories --no-parent --recursive --reject txt https://git.parabola.nu/abslibre.git/plain/libre/linux-libre/. Followed by makepkg --verifysource to download the rest of the required source files, and verify the source.

I was able to build it on a modest, few years old, desktop, with the Parabola PKGBUILD file. It was not a smooth process, memory wise. I am not sure what exactly make the build succeed. It could be that closing some major applications did the trick. As is, the package conflicts with the Linux package. This patch seem to fix it. A similar patch probably required for other packages built by the Parabola PKGBUILD. I haven't created those packages.

poyama commented on 2022-11-02 05:11 (UTC) (edited on 2022-11-06 14:21 (UTC) by poyama)

Before installing this package, think carefully about whether you want to sit with holes in the kernel for months, while everything has been fixed in the vanilla kernel for a long time. I don't think this package is meant to be used at all because of the careless attitude of the maintainer.

dbermond commented on 2022-04-24 14:23 (UTC)

@Lutrim It's not the case that I "do not want to distribute the binary version". It's simply because this package is not for using pre-compiled binaries, but for building from source. It's the package objective, simple like that. A package with pre-compiled binaries would need to be a separated one, with a different name, a different PKGBUILD, and so on. Regarding to the semantic terms that you used, please remember that the AUR do not distribute pre-compiled binaries (even on '-bin' packages), but it only provides build scripts (recipe files) for the user to create an Arch Linux package by his own for using with pacman, so the term "distribute the binary" does not apply to the AUR as a whole.